# Uses of Class
javax.sql.rowset.spi.SyncProviderException

Packages that use SyncProviderException
Package
Description
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of SyncProviderException in javax.sql.rowset

Methods in javax.sql.rowset that throw SyncProviderException
Modifier and Type
Method
Description
`void`
CachedRowSet.`acceptChanges()`
Propagates row update, insert and delete changes made to this `CachedRowSet` object to the underlying data source.
`void`
CachedRowSet.`acceptChanges​(Connection con)`
Propagates all row update, insert and delete changes to the data source backing this `CachedRowSet` object using the specified `Connection` object to establish a connection to the data source.

## Uses of SyncProviderException in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi that throw SyncProviderException
Modifier and Type
Method
Description
`abstract int`
SyncProvider.`getDataSourceLock()`
Returns the current data source lock severity level active in this `SyncProvider` implementation.
`abstract void`
SyncProvider.`setDataSourceLock​(int datasource_lock)`
Sets a lock on the underlying data source at the level indicated by datasource_lock.